<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla modelitem library
jimport('joomla.application.component.modellist');

require_once JPATH_COMPONENT_ADMINISTRATOR. '/helpers/general.php';
require_once JPATH_COMPONENT_ADMINISTRATOR. '/helpers/fields.php';

class ScheduleModelSchedule extends JModelList
{
    protected function getListQuery()
    {
        $query = parent::getListQuery();
        
        // Select some fields
		$query->select('s.*');

		// From the questions table
		$query->from('#__schedule_summary s');
        
        $query->select('e.name, e.title');
		$query->join('LEFT', '#__schedule_event e ON e.id = s.event_id');
        $query->where('s.published = 1');
        
        return $query;                
    }
    
    private function prepareItems($items)
    {
        $data = array();
        
        foreach($items as $item) {            
            $data[$item->line_id][$item->day_id] = $item;
        }
        
        return $data;        
    }

    public function getItems()
    {
        $items = parent::getItems();
        $subfields = new FieldsSheduleHelper($items, $items, true);
        $subfields->setItemsValues();

        return $this->prepareItems($items);
    }

    public function getRows()
    {
        return GeneralScheduleHelper::getRows();
    }
    
    public function getCols()
    {
        return GeneralScheduleHelper::getCols();
    }
}